Gamemaker Support Lib

So I was having trouble with the gamemaker “Support Lib” option.

There are lots of people who have had this problem setting it up because the number doesn’t correspond to anything listed on the

android SDK installation tool. Android Support Repository lists version 47 or Google Repository lists version 58 or some other high number.

If you look in the actual directory however you see the true version numbers.

C:\android\sdk\extras\android\support\v4\src\api

This lists a bunch of text files for the installed api’s you can use for V4 support.

This number isn’t listed in the Android SDK Manager anywhere so it’s confusing.

 

 

So next time you get this error:

Could not find com.android.support:support-v4: X

X = Support Lib number.

It is under the folder I listed above.

Leave a Reply

Your email address will not be published. Required fields are marked *